<?php
    include 'store-procedure.php';
    if (CHECK_SESSION()) {
        header('Location: dashboard.php');
    } else {
        // user is not logged in. Continue loading index
    }
?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include_once 'htmlhead.php'; ?>
        <script type="text/javascript">
            function CHECK_EMPTY()
            {
                if (!frmlogin.user_name.value)
                {
                    alert ("Username masih kosong.");
                    document.getElementById("user_name").focus();
                    return (false);
                }

                if (!frmlogin.user_password.value)
                {
                    alert ("Password masih kosong");
                    document.getElementById("user_password").focus();
                    return (false);
                }
                return (true);
            }
        </script>		

    </head>

    <body>
        <div class="container-fluid-full">
            <div class="row-fluid">
                <div class="row-fluid">
                        <div class="login-box">
                                <h2><?php echo WEB_NAME; ?> BACKOFFICE DASHBOARD</h2>
                                <form name="frmlogin" class="form-horizontal" action="store-procedure.php" method="post">
                                        <fieldset>
                                                <div class="input-prepend" title="Username">
                                                        <span class="add-on"><i class="halflings-icon user"></i></span>
                                                        <input class="input-large span10" name="user_name" id="user_name" type="text" placeholder="username"/>
                                                </div>
                                                <div class="clearfix"></div>
                                                <div class="input-prepend" title="Password">
                                                        <span class="add-on"><i class="halflings-icon lock"></i></span>
                                                        <input class="input-large span10" name="user_password" id="user_password" type="password" placeholder="password"/>
                                                </div>
                                                <div class="input-prepend" title="Validasi">
                                                        <span class="add-on"><i class="halflings-icon captcha_play_image"></i></span>
                                                        <input class="input-large span10" name="user_validasi" id="user_validasi" type="text" placeholder="Validasi"/>
                                                </div>
                                                <div class="input-prepend" title="Captcha">
                                                        <span class="add-on"><i class="halflings-icon captcha_play_image"></i></span>
                                                        <img id="captcha" src="systemsecureimage/securimage_show.php?" + Math.random() alt="CAPTCHA Image" />
                                                        <img id="refresh" src="img/refreshbutton.png" alt="REFRESH Image" style="width:30px;height:30px;cursor:pointer;" onclick="return REFRESH_CAPTCHA(captcha.id);" />
                                                </div>
                                                <div class="button-login">	
                                                        <button name="login-button-login" type="submit" class="btn btn-primary" onclick="return CHECK_EMPTY();" >Login</button>
                                                </div>
                                                <!-- <div class="clearfix"></div> -->
                                        </fieldset>        
                                </form>
                                <hr>
                                <!-- <h3>Forgot Password?</h3>
                                 <p>
                                        No problem, <a href="#">click here</a> to get a new password.
                                </p> -->	
                        </div><!--/span-->
                </div><!--/row-->
            </div><!--/.fluid-container-->
        </div><!--/fluid-row-->

        <!-- start: JavaScript-->
            <script src="js/jquery-1.9.1.min.js"></script>
            <script src="js/jquery-migrate-1.0.0.min.js"></script>
            <script src="js/jquery-ui-1.10.0.custom.min.js"></script>
            <script src="js/jquery.ui.touch-punch.js"></script>
            <script src="js/modernizr.js"></script>
            <script src="js/bootstrap.min.js"></script>
            <script src="js/jquery.cookie.js"></script>
            <script src='js/fullcalendar.min.js'></script>
            <script src='js/jquery.dataTables.min.js'></script>
            <script src="js/excanvas.js"></script>
            <script src="js/jquery.flot.js"></script>
            <script src="js/jquery.flot.pie.js"></script>
            <script src="js/jquery.flot.stack.js"></script>
            <script src="js/jquery.flot.resize.min.js"></script>
            <script src="js/jquery.chosen.min.js"></script>
            <script src="js/jquery.uniform.min.js"></script>
            <script src="js/jquery.cleditor.min.js"></script>
            <script src="js/jquery.noty.js"></script>
            <script src="js/jquery.elfinder.min.js"></script>
            <script src="js/jquery.raty.min.js"></script>
            <script src="js/jquery.iphone.toggle.js"></script>
            <script src="js/jquery.uploadify-3.1.min.js"></script>
            <script src="js/jquery.gritter.min.js"></script>
            <script src="js/jquery.imagesloaded.js"></script>
            <script src="js/jquery.masonry.min.js"></script>
            <script src="js/jquery.knob.modified.js"></script>
            <script src="js/jquery.sparkline.min.js"></script>
            <script src="js/counter.js"></script>
            <script src="js/retina.js"></script>
            <script src="js/custom.js"></script>
        <!-- end: JavaScript-->
        <script>
            function REFRESH_CAPTCHA(OBJcaptcha) {
                document.getElementById(OBJcaptcha).src="systemsecureimage/securimage_show.php?" + Math.random(); 
                return false;
            }
        </script>
    </body>
</html>