﻿<?php
    include "store-procedure.php";
    if (!CHECK_SESSION()) {
        header('Location: relogin.php?status=fail');
    }
    if(!empty(SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_NUMBER_INT))) AND SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_NUMBER_INT)) != NULL) {
        $status = SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_NUMBER_INT));
        if ($status != 'fail' and $status != 'pswd') 
        {
            $periode_id = $status; 
        } elseif ($status == 'pswd') {
            $periode_id = -1;
        }
    } elseif (empty(SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_NUMBER_INT)))) {
        // Delete, Edit And Add Button
        $row_number = 1;
        $obj_delete = "";
        $obj_edit = "";
        $obj_periodeid = 0;
        $periode_id = 0;
        $RETURN_TABLE_MASTER_PERIODE_TOTAL_ROWS = RETURN_TABLE_MASTER_PERIODE_TOTAL_ROWS();
        while ($row_number <= $RETURN_TABLE_MASTER_PERIODE_TOTAL_ROWS) {
            $obj_delete = "btndelete" . $row_number;
            $obj_edit = "btnedit" . $row_number;
            $obj_periodeid = "periodeid" . $row_number; 
            
            if (isset($_POST[$obj_delete]) == "Delete") {
                // Delete Button Stop Loading and Return to member page
                $periode_id = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,$obj_periodeid,FILTER_SANITIZE_NUMBER_INT));
                if (DELETE_TABLE_MASTER_PERIODE($periode_id)) 
                {
                    header('Location: result.php?status=deleted');
                } else {
                    header('Location: result.php?status=fail');
                }
            } elseif (isset($_POST[$obj_edit]) == "Edit") {
                // Edit Button Continue To Load Page For Editing
                $periode_id = SECURITY_CHECK_INPUT(filter_input(INPUT_POST,$obj_periodeid,FILTER_SANITIZE_NUMBER_INT)); // Current Periode In Selected Produk and Pasaran  
            }
            $row_number++;
        }
    }
?>
    
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include_once 'htmlhead.php'; ?>
        <script type="text/javascript">
            function CHECK_EMPTY() {
                if (!frmperiodeactions.periodedraw.value) {
                    alert ("Period masih kosong.");
                    document.getElementById("periodedraw").focus();
                    return (false);
                }
                if (!frmperiodeactions.periodenumber1.value) {
                    alert ("Winning number 1st masih kosong.");
                    document.getElementById("periodenumber1").focus();
                    return (false);
                }
                if (!frmperiodeactions.periodenumber2.value) {
                    alert ("Winning number 2rd masih kosong.");
                    document.getElementById("periodenumber2").focus();
                    return (false);
                }
                if (!frmperiodeactions.periodenumber3.value) {
                    alert ("Winning number 3nd masih kosong.");
                    document.getElementById("periodenumber3").focus();
                    return (false);
                }
                return (true);
            }
        </script>	
    </head>

    <body>
	<!-- start: Header -->
	<div class="navbar">
            <div class="navbar-inner">
                <div class="container-fluid">
                    <a class="btn btn-navbar" data-toggle="collapse" data-target=".top-nav.nav-collapse,.sidebar-nav.nav-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </a>
                        <a class="brand" href="dashboard.php">
                            <span><?php echo WEB_NAME; ?> BACKOFFICE DASHBOARD. Server Date Time : </span> 
                            <span id="spanTime"></span>
                        </a>
                        <!-- start: Header Menu -->
                        <div class="nav-no-collapse header-nav">
                            <ul class="nav pull-right">
                                <!-- start: User Dropdown -->
                                <li class="dropdown">
                                    <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
                                        <i class="halflings-icon white user"></i> <?php echo RETURN_SESSION_USER_NAME_LOGIN(); ?>
                                        <span class="caret"></span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li class="dropdown-menu-title">
                                            <span>Account Settings</span>
                                        </li>
                                        <li><a href="profile.php"><i class="halflings-icon user"></i> Profile</a></li>
                                        <li><a href="logout.php"><i class="halflings-icon off"></i> Logout</a></li>
                                    </ul>
                                </li>
                                <!-- end: User Dropdown -->
                            </ul>
                        </div>
                        <!-- end: Header Menu -->
                </div>
            </div>
        </div>
        
	<!-- start: Header -->	
        <div class="container-fluid-full">
            <div class="row-fluid">
		<?php include 'menu.php'; ?>
		<!-- start: Content -->
		<div id="content" class="span10">
                    <ul class="breadcrumb">
			<li>
                            <i class="icon-home"></i>
                            <a href="dashboard.php">Home</a> 
                            <i class="icon-angle-right"></i>
			</li>
			<li><a href="dashboard.php">Dashboard</a></li>
                    </ul>
                    <div class="row-fluid sortable">
                            <div class="box span12">
                                <h2><span class="break"></span>Winning Number Result Actions</h2>
                                <div class="box-content">
                                                <form name="frmperiodeactions" class="form-horizontal" action="store-procedure.php" method="post">
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodeid">Result ID : </label>
                                                        <div class="controls">
                                                            <input class="input-mini focused" name ="periodeid" id="periodeid" type="text" value="<?php echo $periode_id ?>" disabled="">
                                                            <input class="input-mini focused" name ="periodeid1" id="periodeid1" type="hidden" value="<?php echo $periode_id ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodedraw">Period : </label>
                                                        <div class="controls">
                                                            <input class="input-medium focused" name="periodedraw" id="periodedraw" size="10" maxlength="10" placeholder="Draw period" 
                                                                    type= "text" value= "<?php 
                                                                                            if ($periode_id == 0) {
                                                                                                echo '';
                                                                                            } else {
                                                                                                echo RETURN_TABLE_MASTER_PERIODE_DRAW($periode_id); 
                                                                                            }
                                                                                        ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodedrawdate">Period Date : </label>
                                                        <div class="controls">
                                                            <input type="text" class="input-xlarge" name="periodedrawdate" id="periodedrawdate" readonly="" 
                                                                   value=   "<?php 
                                                                                $result_date = date_create(RETURN_TABLE_MASTER_PERIODE_DATE($periode_id));
                                                                                echo date_format($result_date,'Y-m-d'); 
                                                                            ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodenumber1">Winning 1st : </label>
                                                        <div class="controls">
                                                                <input class="input-medium focused" name="periodenumber1" id="periodenumber1" size="4" maxlength="4" placeholder="Winning result 1st" 
                                                                    type= "text" value= "<?php 
                                                                                            if ($periode_id == 0) {
                                                                                                echo '';
                                                                                            } else {
                                                                                                echo RETURN_TABLE_MASTER_PERIODE_RESULT($periode_id); 
                                                                                            }
                                                                                        ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodenumber2">Winning 2nd : </label>
                                                        <div class="controls">
                                                                <input class="input-medium focused" name="periodenumber2" id="periodenumber2" size="4" maxlength="4" placeholder="Winning result 2rd" 
                                                                    type= "text" value= "<?php 
                                                                                            if ($periode_id == 0) {
                                                                                                echo '';
                                                                                            } else {
                                                                                                echo RETURN_TABLE_MASTER_PERIODE_RESULT_2($periode_id); 
                                                                                            }
                                                                                        ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodenumber3">Winning 3rd : </label>
                                                        <div class="controls">
                                                                <input class="input-medium focused" name="periodenumber3" id="periodenumber3" size="4" maxlength="4" placeholder="Winning result 3nd" 
                                                                    type= "text" value= "<?php 
                                                                                            if ($periode_id == 0) {
                                                                                                echo '';
                                                                                            } else {
                                                                                                echo RETURN_TABLE_MASTER_PERIODE_RESULT_3($periode_id); 
                                                                                            }
                                                                                        ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="periodestatus">Status : </label>
                                                        <div class="controls">
                                                            <select name="periodestatus" id="periodestatus">
                                                                <?php
                                                                    if (RETURN_TABLE_MASTER_PERIODE_STATUS($periode_id) == 0) {
                                                                        echo '<option selected>RUNNING</option>';
                                                                        echo '<option>DONE</option>';
                                                                    } else {
                                                                        echo '<option>RUNNING</option>';
                                                                        echo '<option selected>DONE</option>';
                                                                    }
                                                                ?>
                                                            </select>    
                                                        </div>
                                                    </div>
                                                    <div class="form-actions">
                                                        <?php
                                                            $button_name = "";
                                                            $button_caption = "";
                                                            if ($periode_id == 0) {
                                                                // Property For Add Button
                                                                $button_name = 'periodeactions-button-add';
                                                                $button_caption = 'Tambah Result';
                                                            } else {
                                                                // Property For Edit Button
                                                                $button_name = 'periodeactions-button-save';
                                                                $button_caption = 'Simpan Result';
                                                            }
                                                            echo '<button name="' . $button_name . '" id="' . $button_name . '"  type="submit" class="btn btn-primary" onclick="return CHECK_EMPTY();">' . $button_caption . '</button>';
                                                            echo '<button name="periodeactions-button-cancel" type="submit" class="btn">Cancel</button>';
                                                        ?>
                                                    </div>
						</form>
					</div>
                            </div><!--/span-->

                    </div><!--/row-->
                </div>
                
           </div><!--/row-fluid-->             
	</div><!--/container-fluid-full-->
	<!-- end: Header -->       
        
	<div class="clearfix"></div>

        <footer>
            <p>
		<span style="text-align:left;float:left">&copy; 2016 <a href="http://sexykios.com/" alt="SexyKios">Lotto - Member - Dashboard</a></span>
            </p>
	</footer>
	
	<!-- start: JavaScript-->
	<script src="js/jquery-1.9.1.min.js"></script>
	<script src="js/jquery-migrate-1.0.0.min.js"></script>	
	<script src="js/jquery-ui-1.10.0.custom.min.js"></script>
	<script src="js/jquery.ui.touch-punch.js"></script>
	<script src="js/modernizr.js"></script>
	<script src="js/bootstrap.min.js"></script>
	<script src="js/jquery.cookie.js"></script>
	<script src='js/fullcalendar.min.js'></script>
	<script src='js/jquery.dataTables.min.js'></script>
        <script src="js/excanvas.js"></script>
	<script src="js/jquery.flot.js"></script>
	<script src="js/jquery.flot.pie.js"></script>
	<script src="js/jquery.flot.stack.js"></script>
	<script src="js/jquery.flot.resize.min.js"></script>
	<script src="js/jquery.chosen.min.js"></script>
	<script src="js/jquery.uniform.min.js"></script>
	<script src="js/jquery.cleditor.min.js"></script>
	<script src="js/jquery.noty.js"></script>
	<script src="js/jquery.elfinder.min.js"></script>
	<script src="js/jquery.raty.min.js"></script>
	<script src="js/jquery.iphone.toggle.js"></script>
	<script src="js/jquery.uploadify-3.1.min.js"></script>
	<script src="js/jquery.gritter.min.js"></script>
	<script src="js/jquery.imagesloaded.js"></script>
	<script src="js/jquery.masonry.min.js"></script>
	<script src="js/jquery.knob.modified.js"></script>
	<script src="js/jquery.sparkline.min.js"></script>
	<script src="js/counter.js"></script>
	<script src="js/retina.js"></script>
        <script src="js/custom.js"></script>
	<!-- end: JavaScript-->
        <script>
            function autoRefresh_div() {
                var TGLWAKTU = new Date().toLocaleString(); document.getElementById("spanTime").innerHTML = TGLWAKTU;
            }
            setInterval('autoRefresh_div()', 1000); // refresh div after 5 secs
        </script>
        <script>
            $(document).ready(function () {
                $('input[id$=periodedrawdate]').datepicker({dateFormat: 'yy-mm-dd'});
            });
        </script>    
    </body>
</html>