<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=1024">
        <meta name="robots" content="index, follow">
        <meta name="author" content="Selandia Pools">
        <meta name="title" content="Selandia Pools Official Website">
        <meta name="keywords" content="Selandia, Pools, Selandia Market, Best Lottery, 4D, 3D, 2D">
        <meta name="description" content="Selandia Pools website provide the best lottery of the Selandia market. Get your lucky number now!">
        <meta property="og:site_name" content="Selandia Pools Official Website">
        <meta property="og:title" content="Selandia Pools Official Website">
        <meta property="og:keywords" content="Selandia, Pools, Selandia Market, Best Lottery, 4D, 3D, 2D">
        <meta property="og:description" content="Selandia Pools website provide the best lottery of the Selandia market. Get your lucky number now!">
        <meta property="og:url" content="http://selandiapools.com">
        <meta name="format-detection" content="telephone=no">
        <title>Selandia Pools Official Website</title>
        <link href="img\logo.png" type="image/x-icon" rel="icon">
        <link href="img\logo.png" type="image/x-icon" rel="shortcut icon">
        <link rel="stylesheet" href="css\general.css">
        <link rel="stylesheet" href="css\uibase.css">
        <link rel="stylesheet" href="css\content.css">
        <link rel="stylesheet" href="css\menu2.css">
        <script src="js\jquery-2.1.1.min.js"></script>    
    </head>
    <body>
        <div class="wrapper" id="main">
            <!-- Begin Content -->
            <div id="content" class="wrapper">
                <div class="block" style="background: url(img/4d-bg.png) center no-repeat;">
                    <div>
                        <div class="draw-date">
                            <div>
                                Live draw 02-Oct-2019, 22:00, 
                                Period 1005
                            </div>
                        </div>
                        <div class="single">
                            <div class="prize">
                                <div class="result">
                                    <div id="resultAS1" class="num num-0">x</div>
                                    <div id="resultKOP1" class="num num-1">x</div>
                                    <div id="resultKEPALA1" class="num num-2">x</div>
                                    <div id="resultEKOR1" class="num num-3">x</div>
                                </div>
                            </div>
                            <div class="prize">
                                <div class="result">
                                    <div id="resultAS2" class="num num-0">x</div>
                                    <div id="resultKOP2" class="num num-1">x</div>
                                    <div id="resultKEPALA2" class="num num-2">x</div>
                                    <div id="resultEKOR2" class="num num-3">x</div>
                                </div>
                            </div>
                            <div class="prize">
                                <div class="result">
                                    <div id="resultAS3" class="num num-0">x</div>
                                    <div id="resultKOP3" class="num num-1">x</div>
                                    <div id="resultKEPALA3" class="num num-2">x</div>
                                    <div id="resultEKOR3" class="num num-3">x</div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <script>
                    function VALIDATION_DATA_RESULT() {
                        url = "../result_validation.php";
                        $.ajax({
                            type: "POST",
                            url: url,
                            success: function(data){                
                                if (data !== "VALIDATION FAILED") {
                                    RESULT_VALIDATION_DATA_CALLBACK_TRUE(data);
                                } else {                    
                                    RESULT_VALIDATION_DATA_CALLBACK_FALSE(data);
                                }
                            },
                            error: function(jqXHR, textStatus, errorThrown){
                                console.log(errorThrown);
                                return false;
                            }
                        });
                        return false;
                    }
                    function RESULT_VALIDATION_DATA_CALLBACK_TRUE(msgalert) {
                        var msgalert_array = msgalert.split("*");
                        document.getElementById("resultAS1").innerHTML = msgalert_array[0].substr(0,1);
                        document.getElementById("resultKOP1").innerHTML = msgalert_array[0].substr(1,1);
                        document.getElementById("resultKEPALA1").innerHTML = msgalert_array[0].substr(2,1);
                        document.getElementById("resultEKOR1").innerHTML = msgalert_array[0].substr(3,1);
                        document.getElementById("resultAS2").innerHTML = msgalert_array[1].substr(0,1);
                        document.getElementById("resultKOP2").innerHTML = msgalert_array[1].substr(1,1);
                        document.getElementById("resultKEPALA2").innerHTML = msgalert_array[1].substr(2,1);
                        document.getElementById("resultEKOR2").innerHTML = msgalert_array[1].substr(3,1);
                        document.getElementById("resultAS3").innerHTML = msgalert_array[2].substr(0,1);
                        document.getElementById("resultKOP3").innerHTML = msgalert_array[2].substr(1,1);
                        document.getElementById("resultKEPALA3").innerHTML = msgalert_array[2].substr(2,1);
                        document.getElementById("resultEKOR3").innerHTML = msgalert_array[2].substr(3,1);
                        return false;
                    }
                    function RESULT_VALIDATION_DATA_CALLBACK_FALSE(msgalert) {
                        document.getElementById("resultAS3").innerHTML = "x";
                        document.getElementById("resultKOP3").innerHTML = "x";
                        document.getElementById("resultKEPALA3").innerHTML = "x";
                        document.getElementById("resultEKOR3").innerHTML = "x";
                        return false;
                    }
                </script>
                <script>
                    VALIDATION_DATA_RESULT();
                    setInterval('VALIDATION_DATA_RESULT()', 10000); // refresh div after 10 secs
                </script>
            </div>
            <!-- End Content -->
        </div>
    </body>
</html>