﻿<?php
    include "store-procedure.php";
    if (!CHECK_SESSION()) {
        header('Location: relogin.php?status=fail');
    }
?>

<!DOCTYPE html>
<html lang="en">
    <head>
	<?php include_once 'htmlhead.php'; ?>
        <script type="text/javascript">
            function CHECK_EMPTY()
            {
                if (!frmprofile.username.value)
                {
                    alert ("Username is empty");
                    document.getElementById("focusedInput1").focus();
                    return (false);
                }

                if (!frmprofile.userpasswordnew1.value)
                {
                    alert ("New password is empty");
                    document.getElementById("focusedInput2").focus();
                    return (false);
                }
                
                if (!frmprofile.userpasswordnew2.value)
                {
                    alert ("Retype new password is empty");
                    document.getElementById("focusedInput3").focus();
                    return (false);
                }
                
                if (!frmprofile.userpassword.value)
                {
                    alert ("Old password is empty");
                    document.getElementById("focusedInput4").focus();
                    return (false);
                }
                
                var password1 = frmprofile.userpasswordnew1.value;
                var password2 = frmprofile.userpasswordnew2.value;                
                if (password1 === "New Password" && password2 === "Retype New Password") 
                {
                    return (true);
                } else {
                    if (password1 === password2)
                    {
                        return (true);
                    } else {
                        alert ("New and retype password does not match");
                        return (false);
                    }
                }
                return (true);
            }
        </script>	
    </head>

    <body>
	<!-- start: Header -->
	<div class="navbar">
            <div class="navbar-inner">
                <div class="container-fluid">
                    <a class="btn btn-navbar" data-toggle="collapse" data-target=".top-nav.nav-collapse,.sidebar-nav.nav-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </a>
                        <a class="brand" href="dashboard.php">
                            <span><?php echo WEB_NAME; ?> BACKOFFICE DASHBOARD. Server Date Time : </span> 
                            <span id="spanTime"></span>
                        </a>
                        <!-- start: Header Menu -->
                        <div class="nav-no-collapse header-nav">
                            <ul class="nav pull-right">
                                <!-- start: User Dropdown -->
                                <li class="dropdown">
                                    <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
                                        <i class="halflings-icon white user"></i> <?php echo RETURN_SESSION_USER_NAME_LOGIN(); ?>
                                        <span class="caret"></span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li class="dropdown-menu-title">
                                            <span>Account Settings</span>
                                        </li>
                                        <li><a href="profile.php"><i class="halflings-icon user"></i> Profile</a></li>
                                        <li><a href="logout.php"><i class="halflings-icon off"></i> Logout</a></li>
                                    </ul>
                                </li>
                                <!-- end: User Dropdown -->
                            </ul>
                        </div>
                        <!-- end: Header Menu -->
                </div>
            </div>
        </div>
        
	<!-- start: Header -->	
        <div class="container-fluid-full">
            <div class="row-fluid">
		<?php include 'menu.php'; ?>
		<!-- start: Content -->
		<div id="content" class="span10">
                    <ul class="breadcrumb">
			<li>
                            <i class="icon-home"></i>
                            <a href="dashboard.php">Home</a> 
                            <i class="icon-angle-right"></i>
			</li>
			<li><a href="dashboard.php">Dashboard</a></li>
                    </ul>
                    <div class="row-fluid sortable">
                            <div class="box span12">
                                <h2><span class="break"></span><?php echo RETURN_SESSION_USER_NAME_LOGIN(); ?> - Account Settings - Profile</h2>
                                <div class="box-content">
                                        <form name="frmprofile" class="form-horizontal" action="store-procedure.php" method="post">
                                                <fieldset>
                                                    <div class="control-group">
                                                        <label class="control-label">User ID : </label>
                                                        <div class="controls">
                                                            <input class="input-xlarge disabled" name="userid"  id="disabledInput1" type="text" placeholder="<?php echo RETURN_SESSION_USER_ID(); ?>" disabled="">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="focusedInput1">User Name : </label>
                                                        <div class="controls">
                                                            <input class="input-xlarge focused" name ="username" id="focusedInput1" type="text" value="<?php echo RETURN_SESSION_USER_NAME_LOGIN(); ?>">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="focusedInput2">New Password : </label>
                                                        <div class="controls">
                                                            <input class="input-xlarge focused" name="userpasswordnew1" id="focusedInput2" type="password" value="New Password">
                                                        </div>
                                                    </div>                                                            
                                                    <div class="control-group">
                                                        <label class="control-label" for="focusedInput3">Retype New Password : </label>
                                                        <div class="controls">
                                                            <input class="input-xlarge focused" name="userpasswordnew2" id="focusedInput3" type="password" value="Retype New Password">
                                                        </div>
                                                    </div>
                                                    <div class="control-group">
                                                        <label class="control-label" for="focusedInput4">Old Password : </label>
                                                        <div class="controls">
                                                            <input class="input-xlarge focused" name="userpassword" id="focusedInput4" type="password" value="Old Password">
                                                        </div>
                                                    </div>                                                            
                                                    <div class="form-actions">
                                                        <button name="profile-button-save" type="submit" class="btn btn-primary" onclick="return CHECK_EMPTY();">Save changes</button>
                                                        <button name="profile-button-cancel" type="submit" class="btn">Cancel</button>
                                                    </div>
                                                </fieldset>
                                          </form>

                                </div>
                            </div><!--/span-->

                    </div><!--/row-->
                </div>
                
           </div><!--/row-fluid-->             
	</div><!--/container-fluid-full-->
	<!-- end: Header -->       
        
	<div class="clearfix"></div>

        <footer>
            <p>
		<span style="text-align:left;float:left">&copy; 2016 <a href="http://sexykios.com/" alt="SexyKios">Lotto - Member - Dashboard</a></span>
            </p>
	</footer>
	
	<!-- start: JavaScript-->
	<script src="js/jquery-1.9.1.min.js"></script>
	<script src="js/jquery-migrate-1.0.0.min.js"></script>	
	<script src="js/jquery-ui-1.10.0.custom.min.js"></script>
	<script src="js/jquery.ui.touch-punch.js"></script>
	<script src="js/modernizr.js"></script>
	<script src="js/bootstrap.min.js"></script>
	<script src="js/jquery.cookie.js"></script>
	<script src='js/fullcalendar.min.js'></script>
	<script src='js/jquery.dataTables.min.js'></script>
        <script src="js/excanvas.js"></script>
	<script src="js/jquery.flot.js"></script>
	<script src="js/jquery.flot.pie.js"></script>
	<script src="js/jquery.flot.stack.js"></script>
	<script src="js/jquery.flot.resize.min.js"></script>
	<script src="js/jquery.chosen.min.js"></script>
	<script src="js/jquery.uniform.min.js"></script>
	<script src="js/jquery.cleditor.min.js"></script>
	<script src="js/jquery.noty.js"></script>
	<script src="js/jquery.elfinder.min.js"></script>
	<script src="js/jquery.raty.min.js"></script>
	<script src="js/jquery.iphone.toggle.js"></script>
	<script src="js/jquery.uploadify-3.1.min.js"></script>
	<script src="js/jquery.gritter.min.js"></script>
	<script src="js/jquery.imagesloaded.js"></script>
	<script src="js/jquery.masonry.min.js"></script>
	<script src="js/jquery.knob.modified.js"></script>
	<script src="js/jquery.sparkline.min.js"></script>
	<script src="js/counter.js"></script>
	<script src="js/retina.js"></script>
        <script src="js/custom.js"></script>
	<!-- end: JavaScript-->	
        <script>
            function autoRefresh_div()
            {
                var TGLWAKTU = new Date().toLocaleString(); document.getElementById("spanTime").innerHTML = TGLWAKTU;
            }
            setInterval('autoRefresh_div()', 1000); // refresh div after 5 secs
        </script> 
    </body>
</html>
