<?php
    include "store-procedure.php";
    if (!CHECK_SESSION()) {
        header('Location: relogin.php?status=fail');
    }
?>

<!DOCTYPE html>
<html lang="en">
    <head>
	<?php include_once 'htmlhead.php'; ?>
        <script>
            function CONFIRM_DELETE(){
                return confirm('HASIL NOMOR KELUAR INI AKAN DIHAPUS PERMANEN !!!. DATA YANG TELAH DI HAPUS PERMANEN TIDAK DAPAT DIMUNCULKAN KEMBALI !!!. APAKAH ANDA YAKIN?');
            }
        </script>    
    </head>

    <body>
	<!-- start: Header -->
	<div class="navbar">
            <div class="navbar-inner">
                <div class="container-fluid">
                    <a class="btn btn-navbar" data-toggle="collapse" data-target=".top-nav.nav-collapse,.sidebar-nav.nav-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </a>
                        <a class="brand" href="dashboard.php">
                            <span><?php echo WEB_NAME; ?> BACKOFFICE DASHBOARD. Server Date Time : </span> 
                            <span id="spanTime"></span>
                        </a>
                        <!-- start: Header Menu -->
                        <div class="nav-no-collapse header-nav">
                            <ul class="nav pull-right">
                                <!-- start: User Dropdown -->
                                <li class="dropdown">
                                    <a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
                                        <i class="halflings-icon white user"></i> <?php echo RETURN_SESSION_USER_NAME_LOGIN(); ?>
                                        <span class="caret"></span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <li class="dropdown-menu-title">
                                            <span>Account Settings</span>
                                        </li>
                                        <li><a href="profile.php"><i class="halflings-icon user"></i> Profile</a></li>
                                        <li><a href="logout.php"><i class="halflings-icon off"></i> Logout</a></li>
                                    </ul>
                                </li>
                                <!-- end: User Dropdown -->
                            </ul>
                        </div>
                        <!-- end: Header Menu -->
                </div>
            </div>
        </div>
        
	<!-- start: Header -->	
        <div class="container-fluid-full">
            <div class="row-fluid">
		<?php include 'menu.php'; ?>
		<!-- start: Content -->
		<div id="content" class="span10">
                    <ul class="breadcrumb">
			<li>
                            <i class="icon-home"></i>
                            <a href="dashboard.php">Home</a> 
                            <i class="icon-angle-right"></i>
			</li>
			<li><a href="dashboard.php">Dashboard</a></li>
                    </ul>
                    <div class="row-fluid sortable">
                        <div class="box span12">
                            <h2><span class="break"></span>Winning Number Result</h2>
                                    <div class="box-content">
                                        <form name="frmperiode" class="form-horizontal" action="resultactions.php" method="post">
                                            <table class="table table-striped table-bordered bootstrap-datatable">
                                                <thead>
                                                    <tr>
                                                        <th width="1%">ID</th>
                                                        <th width="10%">Period</th>
                                                        <th width="10%">Date</th>
                                                        <th width="10%">1st</th>
                                                        <th width="10%">2nd</th>
                                                        <th width="10%">3rd</th>
                                                        <th width="10%">Status</th>
                                                        <th width="10%">Actions <span><button name="btnadd" type="submit" value="Add">Tambah Result</button></span></th>
                                                    </tr>
                                                </thead>   
                                                <tbody>
                                                    <?php
                                                        $row_number = 1;
                                                        $btn_disabled = "";
                                                        if (RETURN_TABLE_MASTER_PERIODE_TOTAL_ROWS() > 30) {
                                                            $TotalPeriodeRows = 30;
                                                        } else {
                                                            $TotalPeriodeRows = RETURN_TABLE_MASTER_PERIODE_TOTAL_ROWS();
                                                        }
                                                        while ($row_number <= $TotalPeriodeRows) {
                                                            $periode_id = RETURN_TABLE_MASTER_PERIODE_ID($row_number - 1);
                                                            $result_date = date_create(RETURN_TABLE_MASTER_PERIODE_DATE($periode_id));
                                                            echo '<tr>
                                                                <td>' . $periode_id . '</td>
                                                                <td class="center">' . RETURN_TABLE_MASTER_PERIODE_DRAW($periode_id) . '</td>
                                                                <td class="center">' . date_format($result_date,'d-M-Y') . '</td>
                                                                <td class="center">' . RETURN_TABLE_MASTER_PERIODE_RESULT($periode_id) . '</td>
                                                                <td class="center">' . RETURN_TABLE_MASTER_PERIODE_RESULT_2($periode_id) . '</td>
                                                                <td class="center">' . RETURN_TABLE_MASTER_PERIODE_RESULT_3($periode_id) . '</td>';
                                                                if (RETURN_TABLE_MASTER_PERIODE_STATUS($periode_id) == 0) {
                                                                    echo '<td class="center"><span style="color:red;">RUNNING</span></td>';
                                                                } else {
                                                                    echo '<td class="center" style="color:green;">DONE</td>';
                                                                }
                                                            echo '
                                                                <td class="center"> 
                                                                    <button name="btnedit' . $row_number . '" type="submit" value="Edit">Edit</button>
                                                                    <button name="btndelete' . $row_number . '" type="submit" value="Delete" onclick ="return CONFIRM_DELETE();" >Hapus</button> 
                                                                    <input name="periodeid' . $row_number . '" id="periodeid" type="hidden" value="' . $periode_id . '">    
                                                                </td>
                                                            </tr>';
                                                            $row_number++;
                                                        }
                                                    ?>
                                                </tbody>
                                            </table>  
                                        </form>
                                    </div>
                        </div><!--/span-->
                    </div><!--/row-->
                </div>
           </div><!--/row-fluid-->             
	</div><!--/container-fluid-full-->
	<!-- end: Header -->       
        
	<div class="clearfix"></div>

        <footer>
            <p>
		<span style="text-align:left;float:left">&copy; 2016 <a href="http://sexykios.com/" alt="SexyKios">Lotto - Member - Dashboard</a></span>
            </p>
	</footer>
	
	<!-- start: JavaScript-->
	<script src="js/jquery-1.9.1.min.js"></script>
	<script src="js/jquery-migrate-1.0.0.min.js"></script>	
	<script src="js/jquery-ui-1.10.0.custom.min.js"></script>
	<script src="js/jquery.ui.touch-punch.js"></script>
	<script src="js/modernizr.js"></script>
	<script src="js/bootstrap.min.js"></script>
	<script src="js/jquery.cookie.js"></script>
	<script src='js/fullcalendar.min.js'></script>
	<script src='js/jquery.dataTables.min.js'></script>
        <script src="js/excanvas.js"></script>
	<script src="js/jquery.flot.js"></script>
	<script src="js/jquery.flot.pie.js"></script>
	<script src="js/jquery.flot.stack.js"></script>
	<script src="js/jquery.flot.resize.min.js"></script>
	<script src="js/jquery.chosen.min.js"></script>
	<script src="js/jquery.uniform.min.js"></script>
	<script src="js/jquery.cleditor.min.js"></script>
	<script src="js/jquery.noty.js"></script>
	<script src="js/jquery.elfinder.min.js"></script>
	<script src="js/jquery.raty.min.js"></script>
	<script src="js/jquery.iphone.toggle.js"></script>
	<script src="js/jquery.uploadify-3.1.min.js"></script>
	<script src="js/jquery.gritter.min.js"></script>
	<script src="js/jquery.imagesloaded.js"></script>
	<script src="js/jquery.masonry.min.js"></script>
	<script src="js/jquery.knob.modified.js"></script>
	<script src="js/jquery.sparkline.min.js"></script>
	<script src="js/counter.js"></script>
	<script src="js/retina.js"></script>
        <script src="js/custom.js"></script>
	<!-- end: JavaScript-->
        <script>
            function autoRefresh_div() {
                var TGLWAKTU = new Date().toLocaleString(); document.getElementById("spanTime").innerHTML = TGLWAKTU;
            }
            setInterval('autoRefresh_div()', 1000); // refresh div after 5 secs
        </script>
    </body>
</html>

<?php
    if(!empty(SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_STRING))) AND SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_STRING)) != NULL) {
        $status = SECURITY_CHECK_INPUT(filter_input(INPUT_GET,'status',FILTER_SANITIZE_STRING));
        if ($status == 'success') {
            echo '<script type="text/javascript">';        
            echo 'alert("Informasi result telah tersimpan.")';        
            echo '</script>';
        } elseif ($status == 'saved') {
            echo '<script type="text/javascript">';        
            echo 'alert("Result telah diedit.")';        
            echo '</script>';
        } elseif ($status == 'deleted') {
            echo '<script type="text/javascript">';        
            echo 'alert("Result telah dihapus dari system.")';        
            echo '</script>';
        } elseif ($status == 'fail') {
            echo '<script type="text/javascript">';        
            echo 'alert("Data result gagal di process oleh system.")';        
            echo '</script>';
        } else {
            // Silence Is Golden
        }
    }